## lemonldap-ng 1.9.10

=== Makefile ===
#!/usr/bin/make

# This Makefile contains 2 main sections
#  - Variables
#  - targets

# ---------
# VARIABLES
# ---------

# Prefix for packaging
DESTDIR=

# Flag for optimizations
USEDEBIANLIBS=no
PROD=$(USEDEBIANLIBS)
USEEXTERNALLIBS=no

# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Compression
JSCOMPRESS=$(PROD)
CSSCOMPRESS=$(PROD)

# External commands
PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
NGINX=/usr/sbin/nginx

# Default directories install
# ---------------------------

# Common dirs
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
# BIN dirs
BINDIR=$(LMPREFIX)/bin
SBINDIR=$(LMPREFIX)/sbin
INITDIR=$(LMPREFIX)/etc/init.d
ETCDEFAULTDIR=$(LMPREFIX)/etc/default
DATADIR=$(LMPREFIX)/data

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
PORTALSKINSDIR=$(PORTALDIR)/skins
MANAGERDIR=$(DOCUMENTROOT)/manager
MANAGERSITEDIR=$(MANAGERDIR)
MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
MANAGERRELATIVESTATICDIR=/static
MANAGERPSGIDIR=$(MANAGERSITEDIR)/psgi
MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
DOCDIR=$(DOCUMENTROOT)
DEFDOCDIR=$(DOCUMENTROOT)/doc
FRDOCDIR=$(DOCUMENTROOT)/fr-doc
TESTDIR=$(DOCUMENTROOT)/test
EXAMPLESDIR=$(LMPREFIX)/examples
TOOLSDIR=$(LMPREFIX)/tools

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
CRONDIR=$(LMPREFIX)/etc/cron.d
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications

# LL::NG captcha dir
CAPTCHADIR=$(DATADIR)/captcha

# Apache user/group
APACHEUSER=
APACHEGROUP=

# FastCGI
FASTCGISOCKDIR=$(PREFIX)/run
FASTCGIUSER=$(APACHEUSER)
FASTCGIGROUP=$(APACHEGROUP)

# Apache version
APACHEVERSION=2.X

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
PORT=80
VHOSTLISTEN="*:$(PORT)"
TESTWEBSERVER=apache
TESTWEBSERVERPORT=19876

# Other
SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

# INTERNAL VARIABLES

# Internal variables used to install in $(DESTDIR)
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
RBINDIR=$(DESTDIR)/$(BINDIR)
RSBINDIR=$(DESTDIR)/$(SBINDIR)
RINITDIR=$(DESTDIR)/$(INITDIR)
RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
RDATADIR=$(DESTDIR)/$(DATADIR)
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
RPORTALSKINSDIR=$(DESTDIR)/$(PORTALSKINSDIR)
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
RMANAGERPSGIDIR=$(DESTDIR)/$(MANAGERPSGIDIR)
RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
RDOCDIR=$(DESTDIR)/$(DOCDIR)
RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
RTESTDIR=$(DESTDIR)/$(TESTDIR)
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)
RCONFDIR=$(DESTDIR)/$(CONFDIR)
RCRONDIR=$(DESTDIR)/$(CRONDIR)
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
RFASTCGISOCKDIR=$(DESTDIR)/$(FASTCGISOCKDIR)

VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls $(SRCPORTALDIR)/example/skins/`
DIFF=diff -aurN -x '*.tpl' -x '*.bak' -x .svn -x '*.map' -x '*.min.js' -x '*.min.css' -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
DIFFPREFIX=


MANAGERLIBSTOREMOVEFORDEBIAN=$(RMANAGERSTATICDIR)/bwr/jquery/ \
			$(RMANAGERSTATICDIR)/bwr/angular/ \
			$(RMANAGERSTATICDIR)/bwr/angular-animate/ \
			$(RMANAGERSTATICDIR)/bwr/angular-cookie/ \
			$(RMANAGERSTATICDIR)/bwr/bootstrap/ \
			$(RMANAGERSTATICDIR)/bwr/es5-shim/
PORTALLIBSTOREMOVEFORDEBIAN=$(RPORTALSKINSDIR)/bootstrap/fonts \
			$(RPORTALSKINSDIR)/bootstrap/css/bootstrap* \
			$(RPORTALSKINSDIR)/bootstrap/js/bootstrap* \
			$(RPORTALSKINSDIR)/common/js/jquery-* \
			$(RPORTALSKINSDIR)/common/js/jquery.cookie*
DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
			pages/documentation/current/lib/scripts/jquery-ui*.js \
			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN) $(RPORTALSKINSDIR)/common/js/jquery*

# GENERATED SRC FILES
MANAGERJSONSRC= scripts/jsongenerator.pl \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm
MANAGERJSONDST=$(SRCMANAGERDIR)/site/static/struct.json \
		$(SRCMANAGERDIR)/site/static/js/conftree.js \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Constants.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		_example/conf/lmConf-1.js

# Javascript and CSS to minify
JSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/static/js $(SRCPORTALDIR)/example -type f -name '*.js' ! -name '*.min.js') \
		$(SRCMANAGERDIR)/site/static/bwr/file-saver.js/FileSaver.js
CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/static/css  $(SRCPORTALDIR)/example -type f -name '*.css' ! -name '*.min.css')

# Minified files
JSDSTFILES=$(JSSRCFILES:.js=.min.js)
CSSDSTFILES=$(CSSSRCFILES:.css=.min.css)

# -------
# TARGETS
# -------

# Targets section contains the following subsections:
#  - 'all' that must be defined at first
#  - configure targets
#  - make targets
#  - test targets
#  - end-to-end tests
#  - install targets
#  - cleaning targets
#  - Perl libraries uninstall targets
#  - packaging targets
#  - developper corner

all:	configure common handler manager portal
	@echo
	@echo "Building succeed. Now run :"
	@echo " - 'make test' to verify your installation"
	@echo " - 'make install PROD=yes' to install all"
	@echo
	@echo "    MAKE INSTALL OPTIONS:"
	@echo "    - PROD=yes            : use js/css minified files"
	@echo "    - USEDEBIANLIBS=yes   : use some Debian shared js/css files"
	@echo "    - USEEXTERNALLIBS=yes : use external links for some js/css files"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo " * Doxygen documentation"
	@echo "   - doxygen (to build Doxygen documentation in doc/devel/)"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs           (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin            ($(BINDIR))"
	@echo " * FastCGI server install   (required for Nginx)"
	@echo "   - install_fastcgi_server ($(SBINDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site           (all sites including install_doc_site)"
	@echo "   - install_portal_site    ($(PORTALDIR))"
	@echo "   - install_manager_site   ($(MANAGERDIR))"
	@echo "   - install_handler_site   ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site       ($(DEFDOCDIR))"
	@echo "   - install_examples_site  ($(EXAMPLESDIR))"
	@echo
	@echo "Other languages documentation (fr only for now)"
	@echo " - fr-doc                  (needs OmegaT)"
	@echo " - install_fr_doc_site"
	@echo

# Configure targets
# -----------------

configure:	json common_conf handler_conf portal_conf manager_conf

minify: $(JSDSTFILES) $(CSSDSTFILES)

%.min.css: %.css
	@echo "Compressing $*.css"
	@yui-compressor $*.css > $*.min.css

%.min.js: %.js
	@echo "Compressing $*.js"
	@yui-compressor $*.js > $*.min.js

fastcgi-server/man/llng-fastcgi-server.1p: fastcgi-server/sbin/llng-fastcgi-server
	@echo Update FastCGI man page
	@pod2man -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.1p

# Perl libraries configuration

json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.1p
	@if which yui-compressor; then $(MAKE) minify; fi

$(MANAGERJSONDST):	$(MANAGERJSONSRC)
	./scripts/jsongenerator.pl

common_conf:	${SRCCOMMONDIR}/Makefile

handler_conf:	${SRCHANDLERDIR}/Makefile

portal_conf:	${SRCPORTALDIR}/Makefile

manager_conf:	${SRCMANAGERDIR}/Makefile

${SRCCOMMONDIR}/Makefile:
	@cd ${SRCCOMMONDIR}; LMNGCONFFILE=$(STORAGECONFFILE) $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCHANDLERDIR}/Makefile:
	@cd ${SRCHANDLERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCPORTALDIR}/Makefile:
	@cd ${SRCPORTALDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCMANAGERDIR}/Makefile:
	@cd ${SRCMANAGERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

# Make targets
# ------------

common:		common_conf
	@$(MAKE) -C ${SRCCOMMONDIR}

handler:	handler_conf common
	@$(MAKE) -C ${SRCHANDLERDIR}

portal:		portal_conf common
	@$(MAKE) -C ${SRCPORTALDIR}

manager:	manager_conf handler
	$(MAKE) -C ${SRCMANAGERDIR}

# Test targets
# ------------
test:		all common_test handler_test portal_test manager_test extra_test

common_test:	common
	@$(MAKE) -C ${SRCCOMMONDIR} test

handler_test:	handler
	@$(MAKE) -C ${SRCHANDLERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/"

portal_test:	portal
	@$(MAKE) -C ${SRCPORTALDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

manager_test:	manager
	@$(MAKE) -C ${SRCMANAGERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

extra_test:	all
	cd ${SRCPORTALDIR} && prove -b -I ../$(SRCCOMMONDIR)/blib/lib -I ../$(SRCHANDLERDIR)/blib/lib -I../${SRCPORTALDIR}/blib/lib/ xt
#	PERL_DL_NONLAZY=1 $(PERL) "-MExtUtils::Command::MM" "-e" "test_harness(0, 'lemonldap-ng-common/blib/lib', 'lemonldap-ng-handler/blib/lib', 'lemonldap-ng-manager/blib/lib', 'lemonldap-ng-portal/blib/lib')" extra-tests/*.t

# End-to-end tests
# ----------------

e2e_test:	all prepare_test_server start_web_server launch_protractor stop_web_server

prepare_test_server:
	@mkdir -p e2e-tests/conf/sessions/lock e2e-tests/conf/persistents/lock
	$(MAKE) install_webserver_conf install_test_site install_fastcgi_server \
		CONFDIR=`pwd`/e2e-tests/conf \
		RCONFDIR=e2e-tests/conf \
		ERASECONFIG=1 \
		VHOSTLISTEN='*:$(TESTWEBSERVERPORT)' \
		PORT=$(TESTWEBSERVERPORT) \
		FASTCGISOCKDIR=`pwd`/e2e-tests/conf \
		PORTALDIR=`pwd`/$(SRCPORTALDIR)/example \
		MANAGERDIR=`pwd`/$(SRCMANAGERDIR)/site \
		TESTDIR=`pwd`/e2e-tests/conf/site \
		MANAGERPSGIDIR=`pwd`/e2e-tests \
		DEFDOCDIR=`pwd`/doc \
		FRDOCDIR=`pwd`/po-doc/fr \
		SBINDIR=`pwd`/e2e-tests/conf/sbin \
		INITDIR=`pwd`/e2e-tests/conf/init \
		ETCDEFAULTDIR=`pwd`/e2e-tests/conf/def
	@cp e2e-tests/lmConf-1.js e2e-tests/lemonldap-ng.ini e2e-tests/env.conf e2e-tests/test-nginx.conf e2e-tests/conf/
	@cp e2e-tests/form.html e2e-tests/conf/site
	@perl -i -pe 'BEGIN{$$p=`pwd`;chomp $$p}s#__pwd__#$$p#;s#__port__#$(TESTWEBSERVERPORT)#;s#__FASTCGISOCKDIR__#$(FASTCGISOCKDIR)#;' \
		e2e-tests/conf/lemonldap-ng.ini \
		e2e-tests/conf/lmConf-1.js \
		e2e-tests/conf/env.conf \
		e2e-tests/conf/test-nginx.conf

=== debian/changelog ===
lemonldap-ng (1.9.10-1) unstable; urgency=medium

  * New upstream release
  * Update patches
  * Remove unused symlinks (closes: #855647)
  * Enable manager in autopkgtests
  * Update Lintian overrides
  * Don't publish public.pl by default

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 20 May 2017 10:03:17 +0200

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <x.guimard@free.fr>
Section: perl
Testsuite: autopkgtest
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-systemd,
               po-debconf
Build-Depends-Indep: libapache-session-perl,
                     libauthcas-perl,
                     libauthen-captcha-perl,
                     libcache-cache-perl,
                     libcgi-pm-perl,
                     libclone-perl,
                     libconfig-inifiles-perl,
                     libconvert-pem-perl,
                     libcrypt-openssl-rsa-perl,
                     libcrypt-openssl-x509-perl,
                     libcrypt-rijndael-perl,
                     libdbd-sqlite3-perl,
                     libdbi-perl,
                     libdigest-hmac-perl,
                     libglib-perl,
                     libhtml-template-perl,
                     libio-string-perl,
                     libjson-perl,
                     liblasso-perl,
                     libmime-lite-perl,
                     libmoose-perl,
                     libmouse-perl,
                     libnet-cidr-lite-perl,
                     libnet-ldap-perl,
                     libnet-openid-consumer-perl,
                     libnet-openid-server-perl,
                     libregexp-assemble-perl,
                     libregexp-common-perl,
                     libsoap-lite-perl,
                     libstring-random-perl,
                     libtest-mockobject-perl,
                     libtest-pod-perl,
                     libunicode-string-perl,
                     liburi-perl,
                     libhttp-message-perl,
                     libwww-perl,
                     libxml-libxml-perl,
                     libxml-libxslt-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
Homepage: http://lemonldap-ng.org/

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         lemonldap-ng-doc (= ${binary:Version})
Description: French documentation of Lemonldap::NG Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains French html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         lsb-base,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl,
         nginx-extras | nginx
Recommends: libhttp-parser-xs-perl,
Suggests: nginx-extras
Section: web
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server.

Package: lemonldap-ng-handler
Architecture: all
Depends: ${misc:Depends},
         libapache2-mod-perl2 | lemonldap-ng-fastcgi-server (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version})
Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-common-perl (= ${binary:Version}),
         libmoose-perl,
         liburi-perl,
         libwww-perl
Recommends: libhttp-message-perl,
            liblwp-protocol-https-perl
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          liblemonldap-ng-portal-perl,
          libsoap-lite-perl
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-conf-perl
Depends: ${misc:Depends},
         liblemonldap-ng-common-perl
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: liblemonldap-ng-common-perl
Replaces: liblemonldap-ng-conf-perl (<< 1.3.3~)
Breaks: liblemonldap-ng-conf-perl (<< 1.3.3~)
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-rijndael-perl,
         libdbi-perl,
         libjson-perl,
         libmoose-perl,
         libnet-cidr-lite-perl,
         libsoap-lite-perl
Recommends: libapache-session-browseable-perl,
            libhtml-template-perl,
            libhttp-message-perl,
            libnet-ldap-perl,
            liblwp-protocol-https-perl,
            libxml-libxml-perl,
            libxml-simple-perl
Conflicts: liblemonldap-ng-cli-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Common contains common files used by other Lemonldap::NG
 modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libhtml-template-perl,
         libjs-angularjs (>= 1.4),
         libjs-bootstrap,
         libjs-es5-shim,
         libjs-jquery,
         libjson-perl,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libmoose-perl,
         libplack-perl,
         libwww-perl
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libapache-session-browseable-perl,
            libapache2-mod-fcgid | libapache2-mod-fastcgi | lemonldap-ng-fastcgi-server (= ${binary:Version}),
            libjson-xs-perl,
            libhttp-parser-xs-perl,
            liblwp-protocol-https-perl,
            libmouse-perl,
            libxml-libxml-perl,
            libxml-libxslt-perl,
            libxml-simple-perl
Suggests: libclone-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Manager provides the administration interface.

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         apache2 | nginx | httpd-cgi,
         libcgi-pm-perl,
         libclone-perl,
         libhtml-template-perl,
         libjs-jquery,
         libjs-jquery-ui,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
SESSIONSDIR=$(LMVARDIR)/sessions
PSESSIONSDIR=$(LMVARDIR)/psessions
NOTIFICATIONSDIR=$(LMVARDIR)/notifications
CONFSTORAGEDIR=$(LMVARDIR)/conf
FIRSTCONFFILE=$(CONFSTORAGEDIR)/lmConf-1.js
LMINIFILE=$(CONFDIR)/lemonldap-ng.ini
CAPTCHADIR=$(LMVARDIR)/captcha

%:
	dh $@ --with systemd

override_dh_auto_configure:
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) install \
			DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr \
			LMPREFIX=/usr/share/lemonldap-ng/ \
			BINDIR=$(LMSHAREDIR)/bin \
			SBINDIR=/usr/sbin \
			FASTCGISOCKDIR=/var/run/llng-fastcgi-server \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples \
			HANDLERDIR=$(LMVARDIR)/handler \
			PORTALSKINSDIR=$(LMSHAREDIR)/portal-skins \
			MANAGERDIR=$(LMSHAREDIR)/manager \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources \
			CONFDIR=/etc/lemonldap-ng \
			CRONDIR=/etc/cron.d \
			DATADIR=$(LMVARDIR) \
			APACHEVERSION=2.X \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DEFDOCDIR=/usr/share/doc/lemonldap-ng-doc \
			FRDOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
			USEDEBIANLIBS=yes
	$(MAKE) install_fr_doc_site \
			DESTDIR=$(CURDIR)/debian/tmp \
			DOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
			USEDEBIANLIBS=yes
	rm -rvf debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/documentation \
		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/icons \
		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/lib
	mkdir $(TMP)/$(LMSHAREDIR)/portal
	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/
	rm -f $(TMP)/$(LMSHAREDIR)/portal/public.pl

override_dh_compress:
	dh_compress -X favicon.ico

# Fix lemonldap-ng dirs permissions and owner since dh_fixperms change them:
#  * global configuration dirs must be writable by www-data but not readable
#    by all (also sessions, captcha,... dirs)
#  * lemonldap-ng.ini must not be readable by all
override_dh_fixperms:
	dh_fixperms
	chown www-data:www-data \
		debian/*/$(SESSIONSDIR) \
		debian/*/$(SESSIONSDIR)/lock \
		debian/*/$(PSESSIONSDIR) \
		debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chgrp www-data debian/liblemonldap-ng-common-perl/$(LMINIFILE) \
		debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE)
	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock \
	        debian/*/$(PSESSIONSDIR) debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chmod 750 debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR)
	chmod 640 debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE) \
		debian/liblemonldap-ng-common-perl/$(LMINIFILE)

## lemonldap-ng 1.9.13

=== Makefile ===
--- 
+++ 
@@ -192,7 +192,7 @@
 # Javascript and CSS to minify
 JSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/static/js $(SRCPORTALDIR)/example -type f -name '*.js' ! -name '*.min.js') \
 		$(SRCMANAGERDIR)/site/static/bwr/file-saver.js/FileSaver.js
-CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/static/css  $(SRCPORTALDIR)/example -type f -name '*.css' ! -name '*.min.css')
+CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/static  $(SRCPORTALDIR)/example -type f -name '*.css' ! -name '*.min.css')
 
 # Minified files
 JSDSTFILES=$(JSSRCFILES:.js=.min.js)

=== debian/changelog ===
lemonldap-ng (1.9.13-2) unstable; urgency=medium

  * Add libmouse-perl in liblemonldap-ng-common-perl recommended dependencies
    since command-line configuration client uses it.
    See https://jira.ow2.org/browse/LEMONLDAP-1315
  * Remove liblemonldap-ng-conf-perl transional package (introduced in Jessie)
  * Remove patch that disable captcha test
  * Add minimal version to libauthen-captcha-perl or use old libpng to
    workaround libauthen-captcha-perl bug (#875627)
  * Import upstream little fix for "Form replay" feature (JS error when field
    contains a dot)

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 25 Oct 2017 21:48:12 +0200

lemonldap-ng (1.9.13-1) unstable; urgency=medium

  * Move priority from extra to optional to be compliant to 4.1.0 policy
    changes
  * use HTTPS in upstream homepage links
  * Build-dependencies: update debhelper version in Build-Depends and remove
    dh-systemd (remove build-depends-on-obsolete-package Lintian error)
  * Remove Testsuite header to avoid
    unnecessary-testsuite-autopkgtest-header lintian warning
  * Bump Standards-Version to 4.1.1
  * New upstream release
  * Refresh JS patch

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 29 Sep 2017 16:06:03 +0200

lemonldap-ng (1.9.12-2) unstable; urgency=medium

  * Dependencies:
    - Prefer FastCGI server as required by upstream documentation (may fix
      Debian-ci failures)
    - Remove SAML and other interoperability libs from portal "Recommends"
      fields: OpenID-Connect is embedded and LLNG can works alone

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 15 Sep 2017 07:39:21 +0200

lemonldap-ng (1.9.12-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Add Italian debconf translation.
    Thanks to Beatrice Torracca for the patch.
    (Closes: #872731)

  [ Xavier Guimard ]
  * New upstream version
  * Fix missing files/links for French doc (closes: #874553)
  * Remove "upstart" files for FastCGI server
  * Bump Standards-Version to 4.1.0
  * Update patches
  * Update manager examples
  * Add patch to disable captcha test: Authen::Captcha fails randomly due to
    #875627

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 12 Sep 2017 21:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Xavier Guimard <x.guimard@free.fr>
 Section: perl
-Testsuite: autopkgtest
-Priority: extra
-Build-Depends: debhelper (>= 9),
-               dh-systemd,
+Priority: optional
+Build-Depends: debhelper (>= 9.20160709),
                po-debconf
 Build-Depends-Indep: libapache-session-perl,
                      libauthcas-perl,
                      libauthen-captcha-perl,
+                     libauthen-captcha-perl (>= 1.024-2) | libpng16-16 (<< 1.6.32-1) | libpng12-0,
                      libcache-cache-perl,
                      libcgi-pm-perl,
                      libclone-perl,
@@ -47,10 +46,10 @@
                      libxml-libxslt-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
-Homepage: http://lemonldap-ng.org/
+Homepage: https://lemonldap-ng.org/
 
 Package: lemonldap-ng
 Architecture: all
@@ -139,7 +138,7 @@
 Package: lemonldap-ng-handler
 Architecture: all
 Depends: ${misc:Depends},
-         libapache2-mod-perl2 | lemonldap-ng-fastcgi-server (= ${binary:Version}),
+         lemonldap-ng-fastcgi-server (= ${binary:Version}) | libapache2-mod-perl2,
          liblemonldap-ng-handler-perl (= ${binary:Version})
 Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
 Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
@@ -184,17 +183,7 @@
  .
  Lemonldap::NG::Handler provides Perl libraries used by web server handlers.
 
-Package: liblemonldap-ng-conf-perl
-Depends: ${misc:Depends},
-         liblemonldap-ng-common-perl
-Architecture: all
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
-
 Package: liblemonldap-ng-common-perl
-Replaces: liblemonldap-ng-conf-perl (<< 1.3.3~)
-Breaks: liblemonldap-ng-conf-perl (<< 1.3.3~)
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
@@ -213,6 +202,7 @@
 Recommends: libapache-session-browseable-perl,
             libhtml-template-perl,
             libhttp-message-perl,
+            libmouse-perl,
             libnet-ldap-perl,
             liblwp-protocol-https-perl,
             libxml-libxml-perl,
@@ -251,7 +241,7 @@
          libwww-perl
 Recommends: lemonldap-ng-doc (= ${binary:Version}),
             libapache-session-browseable-perl,
-            libapache2-mod-fcgid | libapache2-mod-fastcgi | lemonldap-ng-fastcgi-server (= ${binary:Version}),
+            lemonldap-ng-fastcgi-server (= ${binary:Version}) | libapache2-mod-fcgid | libapache2-mod-fastcgi,
             libjson-xs-perl,
             libhttp-parser-xs-perl,
             liblwp-protocol-https-perl,
@@ -278,9 +268,17 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         apache2 | nginx | httpd-cgi,
+         nginx | apache2 | httpd-cgi,
          libcgi-pm-perl,
          libclone-perl,
          libhtml-template-perl,
          libjs-jquery,
          libjs-jquery-ui,
+         libjs-jquery-cookie,
+         liblemonldap-ng-common-perl (= ${binary:Version}),
+         libmime-lite-perl,
+         libnet-ldap-perl,
+         libregexp-assemble-perl,
+         libstring-random-perl,
+         libunicode-string-perl,
+         liburi-perl,

## lemonldap-ng 1.9.14

=== debian/changelog ===
lemonldap-ng (1.9.14-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.2 (no changes needed)

  [ Xavier Guimard ]
  * Update metadata to point to new repository
  * Remove javascript-typo.patch and avoid-modify-sources.patch now included
    in upstream
  * Update replace-mouse-by-moose.patch
  * Update debian/copyright

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 05 Dec 2017 06:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                      libxml-libxslt-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/

=== debian/rules ===
--- 
+++ 
@@ -54,8 +54,7 @@
 			DESTDIR=$(CURDIR)/debian/tmp \
 			DOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
 			USEDEBIANLIBS=yes
-	rm -rvf debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/documentation \
-		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/icons \
+	rm -rvf debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/icons \
 		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/lib
 	mkdir $(TMP)/$(LMSHAREDIR)/portal
 	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/

## lemonldap-ng 1.9.15

=== debian/changelog ===
lemonldap-ng (1.9.15-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Xavier Guimard ]
  * New upstream release
  * Use https URI for debian/watch
  * Set Rules-Requires-Root to binary-targets in debian/control
  * Refresh patches

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 23 Jan 2018 14:57:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Xavier Guimard <x.guimard@free.fr>
 Section: perl
 Priority: optional
+Rules-Requires-Root: binary-targets
 Build-Depends: debhelper (>= 9.20160709),
                po-debconf
 Build-Depends-Indep: libapache-session-perl,
@@ -46,7 +47,7 @@
                      libxml-libxslt-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
@@ -280,5 +281,3 @@
          libnet-ldap-perl,
          libregexp-assemble-perl,
          libstring-random-perl,
-         libunicode-string-perl,
-         liburi-perl,

=== debian/watch ===
version=3
https://download.forge.ow2.org/lemonldap/ lemonldap-ng-(\d[\d\.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## lemonldap-ng 1.9.16

=== Makefile ===
--- 
+++ 
@@ -258,7 +258,7 @@
 # Configure targets
 # -----------------
 
-configure:	json common_conf handler_conf portal_conf manager_conf
+configure:	common_conf handler_conf portal_conf manager_conf
 
 minify: $(JSDSTFILES) $(CSSDSTFILES)

=== debian/changelog ===
lemonldap-ng (1.9.16-3) unstable; urgency=medium

  * Declare conformance with Policy 4.1.4 (no changes needed)
  * Add libgssapi-perl in portal suggested dependencies
  * Remove unnecessary libauthcas-perl build dependency
  * Update debian/copyright links to https when available
  * debian/watch: replace Gitlab tag search by releases.ow2.org

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 03 Jun 2018 06:59:34 +0200

lemonldap-ng (1.9.16-2) unstable; urgency=medium

  * Add libcgi-pm-perl in liblemonldap-ng-handler-perl dependencies
    (Closes: #896544)
  * Use $(TMP) macro in debian/rules

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 22 Apr 2018 12:44:29 +0200

lemonldap-ng (1.9.16-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 10
  * Move Nginx dependency to "recommends" as FastCGI server may be on
    another server
  * Update source link in debian/copyright (https)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Update debian/watch to point to Gitlab
  * New upstream release
  * Update patches
  * debian/copyright:
    - Exclude upstream debian/ dir in debian/copyright to avoid conflicts
    - Update source
    - Update copyrights

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 16 Mar 2018 15:44:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Section: perl
 Priority: optional
 Rules-Requires-Root: binary-targets
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper (>= 10),
                po-debconf
 Build-Depends-Indep: libapache-session-perl,
-                     libauthcas-perl,
                      libauthen-captcha-perl,
                      libauthen-captcha-perl (>= 1.024-2) | libpng16-16 (<< 1.6.32-1) | libpng12-0,
                      libcache-cache-perl,
@@ -47,9 +46,9 @@
                      libxml-libxslt-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
 
 Package: lemonldap-ng
@@ -118,10 +117,9 @@
          lsb-base,
          libfcgi-procmanager-perl,
          liblemonldap-ng-handler-perl (= ${binary:Version}),
-         libplack-perl,
-         nginx-extras | nginx
+         libplack-perl
 Recommends: libhttp-parser-xs-perl,
-Suggests: nginx-extras
+            nginx-extras | nginx
 Section: web
 Description: Lemonldap::NG FastCGI server
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
@@ -140,6 +138,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          lemonldap-ng-fastcgi-server (= ${binary:Version}) | libapache2-mod-perl2,
+         libcgi-pm-perl,
          liblemonldap-ng-handler-perl (= ${binary:Version})
 Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
 Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
@@ -281,3 +280,5 @@
          libnet-ldap-perl,
          libregexp-assemble-perl,
          libstring-random-perl,
+         libunicode-string-perl,
+         liburi-perl,

## lemonldap-ng 1.9.17

=== debian/changelog ===
lemonldap-ng (1.9.17-1) unstable; urgency=medium

  * Import upstream release 1.9.17
  * Update replace-mouse-by-moose.patch
  * Update debian/copyright years
  * Update debian/copyright links

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 16 Jun 2018 22:38:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 override_dh_auto_install:
 	$(MAKE) install \
-			DESTDIR=$(CURDIR)/debian/tmp \
+			DESTDIR=$(TMP) \
 			PREFIX=/usr \
 			LMPREFIX=/usr/share/lemonldap-ng/ \
 			BINDIR=$(LMSHAREDIR)/bin \
@@ -51,11 +51,11 @@
 			FRDOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
 			USEDEBIANLIBS=yes
 	$(MAKE) install_fr_doc_site \
-			DESTDIR=$(CURDIR)/debian/tmp \
+			DESTDIR=$(TMP) \
 			DOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
 			USEDEBIANLIBS=yes
-	rm -rvf debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/icons \
-		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/lib
+	rm -rvf $(TMP)/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/icons \
+		$(TMP)/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/lib
 	mkdir $(TMP)/$(LMSHAREDIR)/portal
 	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/
 	rm -f $(TMP)/$(LMSHAREDIR)/portal/public.pl

=== debian/watch ===
version=3
https://releases.ow2.org/lemonldap/ lemonldap-ng-(\d[\d\.]+)\.tar\.gz

## lemonldap-ng 1.9.18+ds

=== debian/changelog ===
lemonldap-ng (1.9.18+ds-1) unstable; urgency=medium

  * Add minimal version to libnet-facebook-oauth2-perl (0.10) since
    Facebook API has changed
  * Declare compliance with policy 4.2.0
  * Change replace-mouse-by-moose.patch link to OW2 Gitlab
  * Email change: Xavier Guimard -> yadd@debian.org
  * Change autopkgtest to use more pkg-perl-autopkg-test features and add a
    debian/tests/README.md file
  * Exclude minified files from upstream
  * Import upstream version 1.9.18 (Closes: #903738)
  * Declare compliance with policy 4.2.1
  * Refresh replace-mouse-by-moose.patch
  * Update lintian-overrides
  * Update upstream copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 07 Oct 2018 09:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: lemonldap-ng
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <x.guimard@free.fr>
+Uploaders: Xavier Guimard <yadd@debian.org>
 Section: perl
 Priority: optional
-Rules-Requires-Root: binary-targets
 Build-Depends: debhelper (>= 10),
                po-debconf
 Build-Depends-Indep: libapache-session-perl,
@@ -45,11 +44,14 @@
                      libxml-libxml-perl,
                      libxml-libxslt-perl,
                      libxml-simple-perl,
+                     uglifyjs,
+                     yui-compressor,
                      perl
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
+Rules-Requires-Root: binary-targets
 
 Package: lemonldap-ng
 Architecture: all
@@ -77,8 +79,8 @@
 Package: lemonldap-ng-doc
 Architecture: all
 Section: doc
+Depends: ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
 Description: Lemonldap::NG Web-SSO system documentation
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -112,6 +114,7 @@
 
 Package: lemonldap-ng-fastcgi-server
 Architecture: all
+Section: web
 Depends: ${misc:Depends},
          ${perl:Depends},
          lsb-base,
@@ -120,7 +123,6 @@
          libplack-perl
 Recommends: libhttp-parser-xs-perl,
             nginx-extras | nginx
-Section: web
 Description: Lemonldap::NG FastCGI server
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -279,6 +281,3 @@
          libmime-lite-perl,
          libnet-ldap-perl,
          libregexp-assemble-perl,
-         libstring-random-perl,
-         libunicode-string-perl,
-         liburi-perl,

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,17 @@
 	mkdir $(TMP)/$(LMSHAREDIR)/portal
 	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/
 	rm -f $(TMP)/$(LMSHAREDIR)/portal/public.pl
+	# Generate minified files removed by uscan
+	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.js'); do \
+		echo -n "compressing $$i: "; \
+		uglifyjs --comments='/Copyr/i' $$i >$${i%%.js}.min.js; \
+		echo done; \
+	done
+	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.css'); do \
+		echo -n "compressing $$i: "; \
+		yui-compressor $$i >$${i%%.css}.min.css; \
+		echo done; \
+	done
 
 override_dh_compress:
 	dh_compress -X favicon.ico

=== debian/tests/control ===
# debian/tests/runner launch pkg-perl-autopkgtest tests for each library
Test-Command: ./debian/tests/runner build-deps
Depends: @, @builddeps@, pkg-perl-autopkgtest, libmouse-perl

Test-Command: ./debian/tests/runner runtime-deps
Depends: @, pkg-perl-autopkgtest, libmouse-perl

# Use pkg-perl-autopkgtest test for runtime-deps-and-recommends
# Some portal suggested dependencies are added here
Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, pkg-perl-autopkgtest, libmouse-perl, libgssapi-perl, liblasso-perl, libnet-openid-consumer-perl, libnet-openid-server-perl

#Test-Command: ./debian/tests/runner heavy-deps
#Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy, libmouse-perl
